Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Ruby wrapper around the LAME library
branch: master

This branch is even with mgomes:master

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
lib
spec
.gitignore
LICENSE
README.md
Rakefile
VERSION
lamer-0.1.2.gem
lamer.gemspec

README.md

Lamer

Ruby Wrapper Around the LAME Library

Currently the program wraps around the LAME executable and exposes the LAME command line options to your Ruby program.

Todo

  • Documentation
  • Wrap the LAME library as an extension to remove the binary requirements

Install

sudo gem install lamer

Prerequisites

LAME

LAME is a high quality MPEG Audio Layer III (MP3) encoder licensed under the LGPL. Below is a list of pre-built binaries and a link to the source code.

Credits

This wrapper is built around the code of lame-encoder by Chris Anderson.

Authors

Something went wrong with that request. Please try again.